VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Access::Shell::ShellConfig Class Reference
Inheritance diagram for Com::Vmware::Appliance::Access::Shell::ShellConfig:

## Avaliable Methods
public method | set_timeout ()
public method | get_timeout ()
public method | set_enabled ()
public method | get_enabled ()
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Access::Shell::ShellConfig` class Structure that defines shell configuration.

## Member Function Documentation

public method Com::Vmware::Appliance::Access::Shell::ShellConfig::get_enabled | ( |  | ) |

Gets the value of 'enabled' property.

Return values

  enabled | - The current value of the field. Enabled can be set to true or false boolean#

Code:
click to view
# Number of lines of code in get_enabled: 4
sub get_enabled {
my ($self, %args) = @_;
return $self->{'enabled'};
}

public method Com::Vmware::Appliance::Access::Shell::ShellConfig::get_timeout | ( |  | ) |

Gets the value of 'timeout' property.

Return values

  timeout | - The current value of the field. The timeout (in seconds) specifies how long you enable the Shell access. The maximum timeout is 86400 seconds(1 day). long#

Code:
click to view
# Number of lines of code in get_timeout: 4
sub get_timeout {
my ($self, %args) = @_;
return $self->{'timeout'};
}

public method Com::Vmware::Appliance::Access::Shell::ShellConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Access::Shell::ShellConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{enabled} = $args{'enabled'};
$self->{timeout} = $args{'timeout'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Access::Shell::ShellConfig');
$self->set_binding_name('name' => 'com.vmware.appliance.access.shell.shell_config');
$self->set_binding_field('key' => 'enabled', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'timeout', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Access::Shell::ShellConfig::set_enabled | ( |  | ) |

Sets the given value for 'enabled' property.

Parameters

  enabled | - New value for the field. Enabled can be set to true or false

Code:
click to view
# Number of lines of code in set_enabled: 5
sub set_enabled {
my ($self, %args) = @_;
$self->{'enabled'} = $args{'enabled'};
return;
}

public method Com::Vmware::Appliance::Access::Shell::ShellConfig::set_timeout | ( |  | ) |

Sets the given value for 'timeout' property.

Parameters

  timeout | - New value for the field. The timeout (in seconds) specifies how long you enable the Shell access. The maximum timeout is 86400 seconds(1 day).

Code:
click to view
# Number of lines of code in set_timeout: 5
sub set_timeout {
my ($self, %args) = @_;
$self->{'timeout'} = $args{'timeout'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Access/Shell.pm